# Class PumpElement

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a pump element within the system, serving as a component for pumping-related functionality.

    public class PumpElement

Inheritance
  object
  PumpElement

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### CodingSystem

    public string? CodingSystem { get; set; }

#### Property Value

string

### Id

    public string? Id { get; set; }

#### Property Value

string

### Result

    public char? Result { get; set; }

#### Property Value

char?

### Text

    public string? Text { get; set; }

#### Property Value

string

### Time

    public DateTime? Time { get; set; }

#### Property Value

DateTime?

### Units

    public string? Units { get; set; }

#### Property Value

string

### Value

    public object? Value { get; set; }

#### Property Value

object

### ValueCodingSystem

    public string? ValueCodingSystem { get; set; }

#### Property Value

string

### ValueId

    public string? ValueId { get; set; }

#### Property Value

string